summaryrefslogtreecommitdiff
path: root/sbin
diff options
context:
space:
mode:
authorMiod Vallat <miod@cvs.openbsd.org>2006-07-11 19:03:28 +0000
committerMiod Vallat <miod@cvs.openbsd.org>2006-07-11 19:03:28 +0000
commit0fedb4bf79e78067d5429bbb0184b3157b1ee6ba (patch)
treef8060b627aa6a3d01b5e93eb026ed1f1c42f6407 /sbin
parentf0946130b4238ef9f650710a1f326249895faffe (diff)
Let armish and cats recognize MBR partitioning, to come up with proper
disklabel bounds in disklabel -E; while there, sort of sort the architectures.
Diffstat (limited to 'sbin')
-rw-r--r--sbin/disklabel/Makefile32
1 files changed, 16 insertions, 16 deletions
diff --git a/sbin/disklabel/Makefile b/sbin/disklabel/Makefile
index 6c930f260ae..91342ac269c 100644
--- a/sbin/disklabel/Makefile
+++ b/sbin/disklabel/Makefile
@@ -1,4 +1,4 @@
-# $OpenBSD: Makefile,v 1.40 2006/04/26 17:09:34 deraadt Exp $
+# $OpenBSD: Makefile,v 1.41 2006/07/11 19:03:27 miod Exp $
PROG= disklabel
SRCS= disklabel.c dkcksum.c editor.c manual.c
@@ -27,37 +27,37 @@ manual.c: disklabel.cat8
CFLAGS+= -DSEEALSO="\"fdisk(8), installboot(8)\""
.endif
-.if (${MACHINE} == "cats")
-CFLAGS+= -DSEEALSO="\"fdisk(8)\""
-.endif
-
-.if (${MACHINE} == "i386") || (${MACHINE} == "amd64")
+.if (${MACHINE} == "amd64") || (${MACHINE} == "i386")
CFLAGS+= -DNUMBOOT=2 -DDOSLABEL
CFLAGS+= -DSEEALSO="\"fdisk(8), installboot(8)\""
.endif
-.if (${MACHINE} == "zaurus")
-CFLAGS+= -DNUMBOOT=2 -DDOSLABEL
+.if (${MACHINE} == "armish") || (${MACHINE} == "cats")
+CFLAGS+= -DDOSLABEL
CFLAGS+= -DSEEALSO="\"fdisk(8)\""
.endif
-
-.if (${MACHINE} == "hp300") || (${MACHINE} == "vax") || \
- (${MACHINE} == "hppa") || (${MACHINE} == "hppa64")
+.if (${MACHINE} == "hp300") || (${MACHINE} == "hppa") || \
+ (${MACHINE} == "hppa64") || (${MACHINE} == "vax")
CFLAGS+= -DNUMBOOT=1
.endif
-.if (${MACHINE} == "sun3") || (${MACHINE} == "sparc") || \
- (${MACHINE} == "sparc64")
-CFLAGS+= -DSEEALSO="\"installboot(8)\"" -DCYLCHECK -DAAT0
+.if (${MACHINE} == "macppc")
+CFLAGS+= -DDOSLABEL
+CFLAGS+= -DSEEALSO="\"fdisk(8)\""
.endif
.if (${MACHINE} == "mvme68k") || (${MACHINE} == "mvme88k")
CFLAGS+= -DSEEALSO="\"installboot(8)\""
.endif
-.if (${MACHINE} == "macppc")
-CFLAGS+= -DDOSLABEL
+.if (${MACHINE} == "solbourne") || (${MACHINE} == "sparc") || \
+ (${MACHINE} == "sparc64")
+CFLAGS+= -DSEEALSO="\"installboot(8)\"" -DCYLCHECK -DAAT0
+.endif
+
+.if (${MACHINE} == "zaurus")
+CFLAGS+= -DNUMBOOT=2 -DDOSLABEL
CFLAGS+= -DSEEALSO="\"fdisk(8)\""
.endif